---
type: docs
title: crontab
---

O Cron é utilizado para agendar tarefas recorrentes, as tarefas são chamadas
de cronjobs e são gerenciadas pelo crontab.

Cada linha da tabela cron está no seguinte formato:

```bash
* * * * *  [Nome do usuário] Comando a ser executado
─ ─ ─ ─ ─
│ │ │ │ │
│ │ │ │ └── Dia da semana (0–7) (Domingo = 0 or 7, Segunda = 1, ...)
│ │ │ └──── Mês (1–12) (Janeiro = 1, Fevereiro = 2, ...)
│ │ └────── Dia do mês (1–31)
│ └──────── Hora (0–23)
└────────── Minuto (0–59)
```

- O operador asterísco (\*) representa todos os possíveis valores de um campo.
Por exemplo: todas as horas ou todos os dias.
- O operador vírgula representa uma lista de valores.
Por exemplo: "1,3,4,7,8".
- O operador tracinho (\-) especifíca um intervalo de valores.
Por exemplo: "1\-6" é equivalente a "1,2,3,4,5,6".
- O operador back (/) pode pular valores (Apenas em versões extendidas do Cron).
Por exemplo: "\*\/3* no campo horário é equivalente a "0,3,6,9,12,15,18,21".

Exemplos de linhas do crontab:
```bash
00 03   * * *   root    /usr/local/bin/backup /root/backups/raizes/bbb &
── ──   ─ ─ ─   ────    ────────────────────────────────────────────────
│  │    │ │ │    │       │
│  │    │ │ │    │       │
│  │    │ │ │    │       └── Comando
│  │    │ │ │    └────────── Usuário
│  │    │ │ └─────────────── Todo Dia da Semana
│  │    │ └───────────────── Todo Mês (*)
│  │    └─────────────────── Todo dia (*)
│  └──────────────────────── Hora (03)
└─────────────────────────── Minuto (00)
```
