---
type: docs
title: systemd
---

O systemd é um daemon gerenciador do sistema, seus serviços e respectivas
configurações. Ele faz muito mais coisa do que sistemas de inicialização
como o [](initd), e na época em que foi adotado como padrão em praticamente
todas as distribuições Linux, era a única solução que permitia paralelismo
durante o boot e gerenciamento centralizado dos processos, daemons, serviços
e pontos de montagem. Como a migração aconteceu em 2014 na mudança do Debian
7 para 8, existem máquinas como a [](/pages/machines/base/urquell) que ainda
tem problemas originários de uma transição inadequada entre os dois sistemas
de inicialização.

O systemd é gerenciado por várias utilidades de linha de comando,
sendo a principal delas o comando `systemctl`. Por exemplo, para ver os serviços
que estão na máquina podemos rodar `systemctl status`:

```console
duvel:~# systemctl status
● duvel
    State: running
    Units: 572 loaded (incl. loaded aliases)
     Jobs: 0 queued
   Failed: 0 units
    Since: Fri 2024-02-16 12:21:33 -03; 2 days ago
  systemd: 252.22-1~deb12u1
   CGroup: /
           ├─init.scope
           │ └─1 /sbin/init
           └─system.slice
             ├─atd.service
             │ └─1932 /usr/sbin/atd -f
             ├─cron.service
             │ └─1896 /usr/sbin/cron -f
             ├─dbus.service
             │ └─1897 /usr/bin/dbus-daemon --system --address=systemd: --nofork --nopidfile --systemd-activation --syslog-only
             ├─mdmonitor.service
             │ └─1115 /sbin/mdadm --monitor --scan
             ├─rsyslog.service
             │ └─1925 /usr/sbin/rsyslogd -n -iNONE
...
```
