---
type: docs
title: Como acessar sub-redes internas
---

É possível acessar uma sub-rede interna (como a sub-rede dos
ares-condicionados ou nobreaks) para algum tipo de manutenção utilizando
dois artifícios:

* Liberar no [firewall interno](/pages/services/estrella-firewall)
(que roteia as sub-redes internas) uma rota para a sub-rede e os protocolos
que você estará acessando:

   ```bash
   for rede in NOBREAK ARCOND; do
       for porta in 80 443; do
           # ...

           # liberado acesso para o Fernando
           # via máquina virtual de trabalho prefect para testar
           # 2023-02-19 - Fernando K.
           $ipt -A FORWARD -p tcp -s prefect -o $rede --dport $porta -j ACCEPT
           $ipt -A FORWARD -p tcp -d prefect -i $rede --sport $porta -j ACCEPT
       done
       # ...
   done
   ```

* Criar uma rota na sua máquina para as sub-redes desejadas através da
[](/pages/machines/base/estrella):

  ```bash
  $ sudo ip route add 10.17.101.0/24 via 200.17.202.3
  $ sudo ip route add 10.17.118.0/24 via 200.17.202.3
  ```

Daí é possível acessar o que estiver na sub-rede, inclusive usando DNS. Por
exemplo, agora é possível acessar a interface web do gerador através da
URL <http://gerador.nobreak/>. É importante lembrar que os registros de DNS
das sub-redes estão disponíveis no NetBox.
