---
type: docs
title: Como usar o Taskwarrior para gerenciar as suas tarefas
---

O Taskwarrior é um gerenciador de tarefas, estilo TODO list.

## Recomendações

1. Ao criar tarefas, façam descrições curta e breves, não façam tarefas muito genéricas, quebre uma tarefa maior em pequenas.
2. Utilize projetos.
3. Classifique novas tarefas entre baixa prioridade, média prioridade e alta prioridade.
4. Ao pegar uma tarefa, edite a tarefa para incluir a tag.

## Comandos básicos

### Visualizando tarefas

Os principais comandos para visualizar as tarefas são:

- `task list`
- `task ls`

Existem outros comandos de listar tarefas bem como especificar cada colunas que quer que liste, para saber mais consulte o manual do `taskwarrior`: `man task`.

Todos os comandos aceitam filtros de projetos ou de tag, como, por exemplo: `task <comando> project:<nome_projeto>` e para tag `task <comando> +<tag>`

O comando `task list` mostra de forma mais detalhada as tarefas contendo as colunas:

- **Id**: identificador da tarefa.
- **Active**: estado da tarefa, se está ativa ou não
- **P**: Prioridade da tarefa, sendo
  : - **L** para baixa prioridade
    - **M** para média prioridade
    - **H** para alta prioridade
- **Projects**: Projeto que a tarefa faz parte.
- **Due**: Prazo para tarefa terminar.
- **Description**: Descrição da tarefa.
- **Urg**: Valor numérico que indica a urgência da tarefa, quanto maior mais prioritário.

Por exemplo:

```console
root@abbey:~# task list

ID Active Age   P Project       Tags  Due        Description                                      Urg
 4         6w   H Lamir         Odair            Avaliar softwares e sistema de backup do lamir   8.03
19         5w   H Documentação  Odair            Adicionar documentação do taskwarrior no git        8
21         7d   H C3SLDB        Tiago            Configurar ZFS                                   7.84
26        12min   Outros        Iago  2022-09-02 Integrar ldap com kerberos lokal                  7.4
```

O comando `task ls` é semelhante ao comando `task list`, mas mostra apenas as colunas:

- Id
- Active
- Project
- Tags
- Description

Por exemplo:

```console
root@abbey:~# task ls

ID Project       Tags  Description
12 Documentação  Odair Adicionar as documentações que estão na jas no gitlab
14 Documentação  Odair Adicionar documentação da controladora de disco da c3hpc no git
18 Documentação  Odair Adicionar documentação do taskwarrior no git
```

### Adicionando tarefas

Para adicionar tarefa use o comando `task add <descrição>`. O comando aceita modificadores como opcionais:

- `project:<nome_projeto>` Para a tarefa pertence ao projeto \<nome_projeto>, caso não exista o projet é criado.
- `+<tag>` Para adicionar a tarefa com uma tag. Por convenção a tag deve ser de quem deve realizar a tarefa.
- `priority:<priority>` Para adicionar a tarefa com uma prioridade, sendo o valor de \<priority>:
  : - **L**: para baixo
    - **M**: para médio
    - **H**: para alto
- `due:<data>`: para adicionar a tarefa com uma data de término, cuidado ao usar esse modificador: ele aumenta muito a prioridade conforme os dias passam.

Por exemplo, para adicionar uma tarefa com as seguintes características:
- projeto: teste
- tag: odair
- priority: média
- description: Exemplo de teste

Usamos o comando:

```console
root@abbey:~# task add +teste project:teste priority:M "Exemplo de teste"
root@abbey:~# task list

ID Age  P Project Tags  Description          Urg
27 2min M teste   teste Exemplo de teste      5.7

1 task
```

### Removendo tarefas

Para remover uma tarefa use o comando `task delete <id>` para encontrar o id use algum comando de listagem.

Por exemplo:

```console
root@abbey:~# task list project:teste

ID Age   P Project Tags  Description          Urg
27 12min M teste   teste Exemplo de teste      5.7

1 task
root@abbey:~# task delete 27
Delete task 27 'Exemplo de teste'? (yes/no) yes
Deleting task 27 'Exemplo de teste'.
Deleted 1 task.
The project 'teste' has changed.  Project 'teste' is 0% complete (0 of 0 tasks remaining).
```

### Operação básica de início e término de tarefa

Sempre inicia uma tarefa quando for trabalhar nela, use o comando: `task start <id>` o id se consegue com os comandos de listagem, por exemplo:

```console
root@abbey:~# task list project:teste

ID Age   P Project Tags  Description          Urg
27 58s   M teste   teste Exemplo de teste      5.7

1 task
root@abbey:~# task start 27
Starting task 27 'Exemplo de teste'.
Started 1 task.
Project 'teste' is 0% complete (1 task remaining).
root@abbey:~# task list project:teste

ID Active Age  P Project Tags  Description          Urg
27   4s   1min M teste   teste Exemplo de teste      9.7

1 task
```

Para finalizar uma tarefa use o comando: `task done <id>`, o id pode ser encontrado com os comandos de listas, por exemplo:

```console
root@abbey:~# task list project:teste

ID Active Age  P Project Tags  Description          Urg
27   4s   3min M teste   teste Exemplo de teste      9.7

1 task
root@abbey:~# task done 27
Completed task 27 'Exemplo de teste'.
Completed 1 task.
You have more urgent tasks.
The project 'teste' has changed.  Project 'teste' is 100% complete (0 of 1 tasks remaining).
```

Caso queira parar uma tarefa use o comando `task stop <id>`, por exemplo:

```console
root@abbey:~# task list project:teste

ID Active Age  P Project Tags  Description          Urg
27   7s   2min M teste   teste Exemplo de teste      9.7

1 task
root@abbey:~# task stop 27
Stopping task 27 'Exemplo de teste'.
Stopped 1 task.
Project 'teste' is 0% complete (1 task remaining).
root@abbey:~# task list project:teste

ID Age  P Project Tags  Description          Urg
27 2min M teste   teste Exemplo de teste      5.7

1 task
```

### Editando tarefas

Para editar uma tarefa use o comando `task edit <id>` com o campo que quer modificar. Se você não incluir nenhum campo, um editor de texto vai abrir com todos os campos da tarefa e você pode modificar quaisquer campo e depois salvar e sair.

Por exemplo, se quisermos adicionar uma tag a uma tarefa sem tag:

```console
root@abbey:~# task list project:teste

ID Age   P Project Description          Urg
27 11s   M teste   Exemplo de teste      4.9

1 task
root@abbey:~# task modify 27 +nova_tag
Modifying task 27 'Exemplo de teste'.
Modified 1 task.
Project 'teste' is 50% complete (1 of 2 tasks remaining).
root@abbey:~# task list project:teste

ID Age  P Project Tags     Description          Urg
27 1min M teste   nova_tag Exemplo de teste      5.7

1 task
root@abbey:~#
```

O mesmo vale para prioridade, descrição e projeto.
