---
type: docs
title: Como atualizar uma imagem dos terminais
---

Entre na estrella com o usuário `c3slops`:

```sh
ssh c3slops@estrella
```

As imagens de sistema estão localizadas no diretório `/exports/image`. Para
copiar a imagem atual, use o comando cp com a opção -a para preservar as
propriedades do diretório e seus arquivos.

O nome da imagem deve seguir o formato nome-ano-mes-data-hora-minuto, por
exemplo: lmde6-2025-03-02-15-30.

```sh
sudo cp -a [imagem-atual] [nova-imagem]
```

Entre na imagem:

```sh
sudo systemd-nspawn -D [nome-da-imagem] --resolv-conf=replace-host
```

Agora, pode realizar as mudanças desejadas. Por exemplo, baixar novos pacotes:

```sh
apt install cmatrix
```

A configuração do GRUB para os terminais está localizada no diretório
`/exports/grub-config/terminal`. Para usar a nova imagem, você precisa editar a
variável `current` na configuração do GRUB.

```
insmod all_video
set timeout=0
set current=lmde6.2025-03-02-15-30 # Substitua por sua nova imagem

menuentry "Terminal" {
        linux /images/$current/vmlinuz root=/dev/nfs ro ip=dhcp nfsroot=200.17.202.12:/exports/images/$current,acregmax=3600,acregmin=3600,acdirmin=3600,acdirmax=3600,rsize=1048576,ro fsck.mode=skip
        echo 'Loading initram'
        initrd /images/$current/initrd.img
        echo 'All set...'
}
```

## Como testar

Reboote a máquina `cloneimgteste` para ver se as modificações foram aplicadas.
Caso tudo esteja certo, reboote todas as outras máquinas com o script
`~/reboot-machines.sh` para elas usarem a nova imagem.

## Script úteis

-   `~/get-last.sh`: Esse script pode ser utilizado para verificar qual
    terminal está sendo utilizado no momento.
-   `~/reboot-machines.sh`: Esse script permite reiniciar as máquinas usando o
    IP.
