---
type: docs
title: Como criar uma imagem dos terminais
---

## Configurar PAM, Kerberos e LDAP

```console
$ apt-get install nmap iputils-* openssh-server ldap-utils \
    libnss-ldap libpam-ldap libldap-common nscd nslcd \
    libsasl2-modules-gssapi-mit kstart ecryptfs-utils \
    zsh krb5-{config,user} libpam-krb5 nfs-client
```

Configurar:

- `libnss-ldap.conf`
- `nsswitch.conf`
- `pam_ldap.conf`
- `ldap.conf`
- `krb5.conf`
- `pam.d`
- `nscd.conf`
- `nscld.conf`

## Overlay

- Ativar módulo overlay no `initramfs-tools/modules`
- Copiar script em `initramfs-tools/script/init-bottom/overlay`

## Configurações gerais

- Purge do `timeshift`, `mintupdate`, `mintinstall`, `mintreport`

- Disable do NetworkManager

- Configurar `/etc/lightdm/lightdm.conf.d/70-linuxmint.conf`

- Disable nm-applet autostart: `ln -s /bin/true /usr/local/bin/nm-applet`

- Adicionar ao sysctl:

  ```ini
  # allow ping
  net.ipv4.ping_group_range = 0 65535
  ```

## Pacotes

### Pacotes no repositório padrão

- a2ps
- abntex
- alpine
- alpine-doc
- arduino
- arduino-core
- aspell-fr
- aspell-pt-br
- autoconf-archive
- autoconf-doc
- autoconf2.13
- bison
- blender
- blender-data
- bogofilter
- brasero
- bridge-utils
- bsd-mailx
- bsh
- build-essential
- ccrypt
- cheese
- chromium
- chromium-codecs-ffmpeg-extra
- clisp
- code
- codeblocks
- csh
- cvs
- default-jdk
- dia
- dnsutils
- dos2unix
- dot2tex
- dunst
- duplicity
- dvidvi
- dvipng
- emacs
- enscript
- eterm
- evince
- evolution
- ffmpeg
- fig2dev
- finger
- firefox-locale-en
- firefox-locale-pt
- flex
- fp-compiler
- fp-docs
- fp-units-base
- fp-units-db
- fp-units-fcl
- fp-units-fv
- fp-units-gfx
- fp-units-gtk2
- fp-units-math
- fp-units-misc
- fp-units-multimedia
- fp-units-net
- fp-units-rtl
- fp-utils
- fpc
- fpc-source
- freecad
- fvwm
- gedit
- gfortran
- ghc
- gimp
- gimp-help-en
- gimp-help-pt
- git
- gnome-core
- gnumeric
- gnupg2
- gnuplot
- graphviz
- grepmail
- html2text
- i3
- iamerican
- icewm
- imagemagick
- inkscape
- iperf
- ispell
- joe
- kile
- language-pack-en
- language-pack-en-base
- language-pack-gnome-en
- language-pack-gnome-en-base
- language-pack-gnome-pt
- language-pack-gnome-pt-base
- language-pack-pt
- language-pack-pt-base
- language-selector-common
- language-selector-gnome
- latex-make
- latex2html
- latex2rtf-doc
- latexdiff
- latexmk
- lynx
- mailutils
- monetdb-client
- mplayer
- mutt
- mysql-client
- ncurses-doc
- ncurses-examples
- neomutt
- neovim
- netpbm
- nitrogen
- openbox
- openjfx-source
- polybar
- postgresql-client
- python3-docutils
- python3-networkx
- python3-pip
- python3-sklearn
- procmail
- ps2eps
- psutils
- quota
- ranger
- rar
- rdesktop
- rdiff
- rofi
- scala
- scala-library
- scala-parser-combinators
- scala-xml
- scilab
- scilab-cli
- scilab-data
- scilab-doc
- scilab-doc-pt-br
- scilab-full-bin
- scilab-include
- scilab-minimal-bin
- sharutils
- slay
- smartmontools
- spell
- sqlite3
- sshfs
- ssmtp
- swi-prolog
- terminator
- texi2html
- texinfo
- tftp
- texlive
- texlive-latex-extra
- texlive-lang-portuguese
- thunderbird-locale-pt-br
- tightvncserver
- tmux
- traceroute
- tree
- unison
- util-linux-locales
- valgrind
- wdiff
- whois
- xfig
- xournal
- xterm
- xtightvncviewer

### Pacotes no repositório do R

- r-base
- r-base-core
- r-base-dev
- r-base-html
- r-cran-boot
- r-cran-class
- r-cran-cluster
- r-cran-codetools
- r-cran-foreign
- r-cran-kernsmooth
- r-cran-lattice
- r-cran-littler
- r-cran-mass
- r-cran-matrix
- r-cran-mgcv
- r-cran-nlme
- r-cran-nnet
- r-cran-rpart
- r-cran-spatial
- r-cran-survival
- r-doc-html
- r-doc-info
- r-doc-pdf
- r-recommended

### Outros pacotes fora do repositório padrão

- code
- rstudio
- sublime-text
