---
type: docs
title: Máquinas Físicas
description: Seção das máquinas físicas
---

# Organização do data center

O data center possui 8 racks com mais ou menos o seguinte desenho:

```
+-------------------------------+
|                               |
|   .----.             .----.   |
|   |RACK|             |RACK|   |
|   | 1  |             | 6  |   |
|   '----'             '----'   |
|   .----.             .----.   |
|   |RACK|             |RACK|   |
|   | 2  |             | 7  |   |
|   '----'             '----'   |
|   .----.             .----.   |
|   |RACK|             |RACK|   |
|   | 3  |             | 8  |   |
|   '----'             '----'   |
|   .----.             .----.   |
    |RACK|"AR PRECISÃO"|    |   |
    | 4  |             '----'   |
    '----'             .----.   |
    .----.    "ARMÁRIO"|    |   |
    |RACK|             '----'   |
    | 5  |             .----.   |
    '----'             |    |   |
                 "MESA"|    |   |
|                      |    |   |
|                      '----'   |
|                               |
+-------------------------------+
```

Acima de cada rack é possível encontrar duas réguas de tomadas A e B. Cada
régua é ligada em um nobreak diferente (pois as baterias dos nobreaks podem
falhar). Cada máquina deve ser ligada nas duas réguas simultaneamente (cada
máquina possui entradas de energia redundantes).

Dentro de cada rack são encontradas as máquinas, switches e JBODs. Cada rack
possui a seguinte disposição (de cima para baixo):

## Rack 1
* Switch Netgear
* [Máquina Orval](/pages/machines/lab/orval)
* [Máquina Torneira13](/pages/machines/virtuals/torneira13)
* [Máquina Torneira12](/pages/machines/virtuals/torneira12)
* [Máquina Torneira11](/pages/machines/virtuals/torneira11)
* [Máquina Torneira10](/pages/machines/virtuals/torneira10)
* [Máquina Torneira9](/pages/machines/virtuals/torneira9)
* [Máquina Torneira8](/pages/machines/virtuals/torneira8)
* Micrinho D200-VIEW (ar de precisão)

## Rack 2
* [Switch Malbec](/pages/switches/dc/malbec)
* [Máquina Roble](/pages/machines/base/roble)
* [Máquina C3sldb2](/pages/machines/base/c3sldb2)
* Switch Gamay3 (IPMI)
* [Máquina Barril4](/pages/machines/virtuals/barril4)
* [Máquina Sagres](/pages/machines/base/sagres)
* [Máquina Duvel](/pages/machines/base/duvel)
* [Máquina Urquell](/pages/machines/base/urquell)

## Rack 3
* Switch Barbamama
* [Máquina Forsyn](/pages/machines/base/forsyn)
* Máquina Debian Security Backup (desligada)
* Máquina Debian Security
* [Máquina Torneira7](/pages/machines/lab/torneira7)
* Micrinho para IPMI
* [Máquina Barril2](/pages/machines/virtuals/barril2)
* [Máquina Barril1](/pages/machines/virtuals/barril1)
* [Máquina Barril3](/pages/machines/virtuals/barril3)

## Rack 4
* Dio 01
* Dio 02
* Dio 03
* Switch Syrah

## Rack 5
* [Máquina Zara](/pages/machines/lab/zara)
* [Máquina Azzanadra](/pages/machines/base/azzanadra)

## Rack 6
* Máquina do projeto da Samsung do Grégio

## Rack 7
* Switch Nebbiolo
* Switch Sauternes
* Switch Pinot8
* [Máquina Estrella](/pages/machines/base/estrella)
* [Máquina Torneira4](/pages/machines/lab/torneira4)
* [Máquina Torneira3](/pages/machines/lab/torneira3)
* [Máquina Torneira2](/pages/machines/lab/torneira2)
* [Máquina Abbey](/pages/machines/virtuals/abbey)

## Rack 8 (cluster)
* Switch Corona
* Switch Infiniband
* [Máquina C3HPC](/pages/machines/cluster/c3hpc)
* [Máquina Node2](/pages/machines/cluster/node2)
* [Máquina Node3](/pages/machines/cluster/node3)
* [Máquina Node4](/pages/machines/cluster/node4)
* [Máquina Node5](/pages/machines/cluster/node5)
* [Máquina Node6](/pages/machines/cluster/node6)
* [Máquina Node7](/pages/machines/cluster/node7)
* [Máquina Vti1](/pages/machines/cluster/vti1)
* [Máquina Vti2](/pages/machines/cluster/vti2)
* [Máquina Pti](/pages/machines/cluster/pti)
* [Máquina Proc1](/pages/machines/cluster/proc1)
* [Máquina Proc2](/pages/machines/cluster/proc2)
## Organização dos nobreaks

Os nobreaks tem uma sala própria. Nesta sala há um painel de ligação. Cada
linha do painel corresponde a um dos nobreaks. Os cabos devem ser ligados
de tal forma que as réguas A e B de cada rack estejam em nobreaks diferentes,
a fim de que se um nobreak falhar, as máquinas ainda tenham redundância de energia.

Os nobreaks são necessários principalmente porque o gerador demora uns 30 segundos
para ligar. Num evento de falha de energia elétrica, enquanto se liga o gerador,
é necessário que as baterias dos nobreaks segurem as máquinas para evitar que elas desliguem.
