---
type: docs
title: abbey/Proxmox
---

O gerenciamento de máquinas virtuais é feito pelo Proxmox.

Essa é a organização das máquinas virtuais não-vitais:

```
.------------. .---------. .------------. .------------.
|  barril1   | | barril2 | |  barril3   | |  barril4   |
|40 baias SAS| |  JBOD   | |40 baias SAS| |40 baias SAS|
'---------+--' '----+----' '-----+------' '--+---------'
           \ 40G     \ 40G      / 40G       / 40G
            \         \        /           /
.-----.      +---------+------+-----------+
|abbey+------+           malbec           |
'-----'      +----+--------+--------+-----+
                 / 10G     | 10G     \ 10G
                /          |          \
     .---------+--. .------+-----. .---+--------.
     | torneira8  | | torneira9  | | torneira12 |
     |1TB 96 cores| |1TB 96 cores| |1TB 96 cores|
     '------------' '------------' '------------'
```

Neste esquema, cada barril guarda os objetos utilizados pelas máquinas virtuais
e transfere via rede para as torneiras.

Essa a organização das máquinas virtuais vitais:

```
.-----.        +--------------------+
|abbey+--------|       malbec       |
'-----'        +----------+---------+
              / 10G       | 10G      \ 10G
             /            |           \
.-----------+---. .-------+-------. .--+------------.
|  torneira10   | |  torneira11   | |  torneira13   |
|512GB 96 cores | |512GB 96 cores | |512GB 96 cores |
'-+-----+-----+-' '-+-----+-----+-' '-+-----+-----+-'
  |     |     |     |     |     |     |     |     |   SATA
.-+-. .-+-. .-+-. .-+-. .-+-. .-+-. .-+-. .-+-. .-+-.
|'-'| |'-'| |'-'| |'-'| |'-'| |'-'| |'-'| |'-'| |'-'|
|8TB| |8TB| |8TB| |8TB| |8TB| |8TB| |8TB| |8TB| |8TB|
'---' '---' '---' '---' '---' '---' '---' '---' '---'
```

Onde é utilizado o esquema do Ceph de espalhar três cópias de cada objeto entre
cada torneira. Dentro de uma mesma torneira nem os discos nem os objetos tem
replicação, o que significa efetivamente que um determinado objeto vai estar
localizado apenas em um dos discos de cada uma das torneiras.
