---
type: docs
title: duvel/Certificados SSL
---

A geração de certificados SSL na [](/pages/machines/base/duvel) provê certificados
do Let's Encrypt para servidores HTTPS.

O Let's Encrypt fica em `/root/letsencrypt` e os arquivos de configuração de cada máquina e certificados ficam em `/root/.getssl`.

No diretório do letsencrypt está o executável `getssl` e dois scripts adicionais para gerenciar as entradas de challenge no DNS da urquell.

No diretório das configurações, dentro de cada máquina, o importante é o `getssl.cfg`, a configuração para aquele certificado.
Também no diretório das configurações existe um arquivo chamado `getssl.cfg` que é a configuração padrão de algumas variáveis usadas pelo getssl.

## Criar certificados

Através do comando:

```
$ /root/letsencrypt/getssl -c <url>
```

{{% alert title="Dica" %}}
Esse último comando gera algumas saídas que parecem erros, mas não são.
os erros são mensagens parecidas com um JSON (hierárquico)
{{% /alert %}}

O arquivo de configuração será criado em `/root/.getsll/<url>/getssl.cfg`.
Configure o certificado, observando as configurações de outros endereços (ex: Roundcube).
Após configurar corretamente, execute o comando que gera o certifica e o instala na máquina:

```
$ /root/letsencrypt/getssl <hostname>.c3sl.ufpr.br
```

Certifique-se que na máquina virtual existe um script em `~/root/upgrade_cert.sh`
para atualizar o certificado automaticamente quando este for renovado.

Se der "DNS Problem", tentar novamente, com cuidado para não exceder os limites do Let's Encrypt.

Os certificados são atualizados automaticamente, mas se houver algum problema basta rodar o último comando (talvez com "-f") para atualizar o certificado.
: Isso eventualmente dá problemas por conta da quantidade de alterações no DNS (cada domínio é um incremento no serial), principalmente no caso da *sagres*.

## Alterando a configuração

No geral, o que fazemos é comparar a configuração com outra máquina (agendador6prod) para manter o padrão.
Abaixo estão o que precisa ser alterado. Fazemos o "vimdiff" com uma máquina pronta apenas pra manter todos os arquivos com a mesma estrutura e eliminar o que tiver extra.

É importante setar:

```
PRIVATE_KEY_ALG="rsa"
ACCOUNT_EMAIL="root@c3sl.ufpr.br"
```

Para adicionar *outros* domínios além do nome do host ao certificado:

```
# exemplo: certificado criado para minhavm.c3sl.ufpr.br
#  queremos atender tambem www.minhavm.c3sl.ufpr.br e web.minhavm.c3sl.ufpr.br
SANS="www.minhavm.c3sl.ufpr.br,web.minhavm.c3sl.ufpr.br"
```

Configurar localização dos certificados:

```
DOMAIN_CHAIN_LOCATION="ssh:minhavm.c3sl.ufpr.br:/etc/ssl/certs/c3sl.pem"
DOMAIN_KEY_CERT_LOCATION="ssh:minhavm.c3sl.ufpr.br:/etc/ssl/private/c3sl.pem"
```

Configurar comando ao atualizar certificado:

```
# utilizamos o padrão de rodar esse script nos hosts, assim cada VM pode ter o seu comando customizado
#  para o momento de atualização de certificado, sem gerar trabalho para nós
RELOAD_CMD="ssh:minhavm.c3sl.ufpr.br:/bin/bash /root/upgrade_cert.sh"
```

## Verificar validade do certificado

Verifique a validade do certificado através do comando:

```
$ openssl x509 -noout -enddate -in <CAMINHO_DO_CERTIFICADO>
```

Por exemplo:

```
$ openssl x509 -noout -enddate -in dockerregistry.c3sl.ufpr.br.crt
```

Entre na virtual e verifique se o certificado é o mesmo da duvel, através do mesmo comando.

Por exemplo, se estou logado na máquina virtual wifi:

```
$ ssh wifi
$ openssl x509 -noout -enddate -in /etc/ssl/certs/c3sl.pem
```

## Upgrade do getssl

Se o getssl alertar para uma nova versão, usar "-u" também, ele faz o upgrade automaticamente.
