---
type: docs
title: estrella/Servidor DHCPv4
---

O servidor de DHCP da [](/docs/machines/base/estrella), o Kea tem como função de atribuir
o IPv4 as máquinas da rede. Além disso, ele também indica o endereço dos servidores
de DNS, lista de buscas de DNS, o endereço do servidor de boot remoto e o
servidor NTP. O servidor faz isso seletivamente, oferecendo informações
diferentes dependendo do endereço MAC utilizado pelo cliente para colocá-lo
em uma determinada sub-rede (associada a uma VLAN).

{{< alert title="Nota" >}}
Não usamos um servidor DHCPv6, sendo os [IPv6 atribuídos via autoconfiguração](/docs/concepts/autoconfig-ipv6).
{{< /alert >}}

A configuração do servidor DHCP é feita através do NetBox. Nas [interfaces de
rede da estrella no NetBox](https://netbox.c3sl.ufpr.br/dcim/devices/49/interfaces/)
é possível achar o campo "Prefixos do Servidor DHCP", que contém as sub-redes
assinaladas a cada interface de rede. Dentro de cada prefixo é possível configurar:

* Rotas Estáticas
* Caminho de Arquivo de Boot
* Servidor de TFTP para Boot
* Servidores DNS
* Domínios de Busca
* Kernel de Boot
* Servidor NTP
* Roteador
* Tempo de Vida do DHCP (segundos)

Em cada IP individual também é possível configurar um Kernel de Boot diferente.

Os scripts em Ansible leem as informações do NetBox e criam o arquivo de configuração
`/etc/kea/kea-dhcp4.conf` que configura o Kea.
