---
type: docs
title: k8s/RootDocs
description: Arquitetura do RootDocs
---

O site foi feito com [Hugo](/concepts/hugo) com o tema
[Docsy](https://www.docsy.dev/docs/). O deploy está sendo feito em cima do
[Kubernetes](/concepts/kubernetes).

O arquivo `.gitlab-ci.yml` define a seguinte pipeline:

```yaml
stages:
  - build
  - deploy

build:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:debug
    entrypoint: [""]
  script:
    - echo "{\"auths\":{\"${HARBOR_HOST}\":{\"auth\":\"$(echo -n ${HARBOR_USERNAME}:${HARBOR_PASSWORD} | base64 -w 0)\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor
      --context "${CI_PROJECT_DIR}"
      --dockerfile "${CI_PROJECT_DIR}/Dockerfile"
      --destination "${HARBOR_HOST}/${HARBOR_PROJECT}/${CI_PROJECT_NAME}:${CI_COMMIT_TAG}"
      --single-snapshot
      --snapshot-mode=redo
      --use-new-run
      --cache=true
      --compressed-caching=true

deploy:
  stage: deploy
  image: bitnami/kubectl:latest
  script:
    - kubectl --kubeconfig $KUBECONFIG rollout restart deploy rootdocs -n rootdocs
```

Essa pipeline faz duas coisas:
1. O build e push do container - usando [kaniko](/concepts/kaniko) - no
   [Harbor](/docs/concepts/harbor).
2. Reinicia o deploy no Kubernetes para atualizar a imagem em uso.
