---
type: docs
title: roble/Servidor de anúncio de roteador IPv6
---

A [](/pages/machines/base/roble) executa a daemon de anúncio de roteador
[](/pages/concepts/radvd). Essas mensagens são necessárias para
[a autoconfiguração do IPv6](/pages/concepts/autoconfig-ipv6).
A sua configuração está em `/etc/radvd.conf`.

Como na [](/pages/machines/base/roble) existe uma interface para cada VLAN,
a configuração é feita por interface desta maneira:

```
interface C3SL {
    prefix ::/64 { };
    AdvSendAdvert on;
    MaxRtrAdvInterval 1800;
    MinRtrAdvInterval 60;
    AdvDefaultLifetime 9000;
    RDNSS 2801:82:80ff:8001::2 2801:82:80ff:8000::2 { };
    DNSSL c3sl.ufpr.br inf.ufpr.br { };
};
```

Nesta configuração temos:

:`prefix`: o valor `::/64` indica que o prefixo deve ser derivado da configuração
  da própria interface de rede.
:`AdvSendAdvert`: ativa o serviço de anúncio de roteador nesta interface.
:`MaxRtrAdvInterval`: tempo máximo permitido entre mandar um anúncio multicast
  não solicitado da interface, em segundos.
:`MinRtrAdvInterval`: tempo mínimo permitido entre mandar um anúncio multicast
  não solicitado da interface, em segundos.
:`AdvDefaultLifetime`: tempo de vida do roteador, como um TTL de quanto tempo
  o roteador deve ficar na lista de roteadores ativos de quem estiver o escutando.
:`RDNSS`: endereços dos servidores de DNS.
:`DNSSL`: listas de busca de DNS, utilizados por resolvedores de DNS para
  criar um nome qualificado de um nome relativo. Isso faz com que, por exemplo, ao
  buscar pelo nome `docs`, o resolvedor de DNS procure pelo registro de DNS
  associado ao nome `docs.c3sl.ufpr.br`.
