---
type: docs
title: Huawei
description: Como configurar o switch da marca Huawei
---

{{< alert tile="Nota" >}}
Para desfazer um comando você pode rodar o mesmo comando novamente com `undo`
na frente.
{{< /alert >}}

## Coleta de informações

### Configuração do switch

```
<APOIO>display current-configuration
```

### Estado de todas as portas

```
system-view
display interface ethernet brief
```

### MACs

```
<APOIO>display mac-address <mac-address>
```

Exemplo:

```
<APOIO>display mac-address 7085-c208-88e9
-------------------------------------------------------------------------------
MAC Address    VLAN/VSI                          Learned-From        Type
-------------------------------------------------------------------------------
7085-c208-88e9 229/-                             GE2/0/32            dynamic

-------------------------------------------------------------------------------
Total items displayed = 1
```

### MACs de uma VLAN

```
<APOIO>display mac-address vlan <vlan_id>
```

Se não passar o `vlan <vlan_id>`, vai listar todos os MACs conectados.

Exemplo:

```
<APOIO>display mac-address vlan 241
-------------------------------------------------------------------------------
MAC Address    VLAN/VSI                          Learned-From        Type
-------------------------------------------------------------------------------
782b-cbbe-db0d 241/-                             GE1/0/8             dynamic
ec0d-9a44-2724 241/-                             XGE0/0/4            dynamic

-------------------------------------------------------------------------------
Total items displayed = 2
```

### Portas de uma VLAN

```
<APOIO>display vlan <id>
```

Exemplo:

```
<APOIO>display vlan 241
--------------------------------------------------------------------------------
U: Up;         D: Down;         TG: Tagged;         UT: Untagged;
MP: Vlan-mapping;               ST: Vlan-stacking;
#: ProtocolTransparent-vlan;    *: Management-vlan;
--------------------------------------------------------------------------------

VID  Type    Ports
--------------------------------------------------------------------------------
241  common  UT:GE1/0/2(D)      GE1/0/4(D)      GE1/0/6(D)      GE1/0/8(U)
                GE1/0/10(D)     GE1/0/12(D)     GE1/0/14(D)     GE1/0/16(U)
                GE1/0/18(D)     GE1/0/20(D)     GE1/0/22(U)
             TG:XGE0/0/4(U)

VID  Status  Property      MAC-LRN Statistics Description
--------------------------------------------------------------------------------
241  enable  default       enable  enable     VLAN 0241
```

### Informações de uma porta

```
<APOIO>display interface description GigabitEthernet <port_id>
```

Exemplo:

```
<APOIO>display interface description GigabitEthernet 1/0/8
PHY: Physical
*down: administratively down
#down: LBDT down
(l): loopback
(s): spoofing
(b): BFD down
(e): ETHOAM down
(dl): DLDP down
(lb): LBDT block
Interface                     PHY     Protocol Description
GE1/0/8                       up      up
```

### VLANs

```
<APOIO>display vlan
```

Exemplo:

```
<APOIO>display vlan
The total number of VLANs is: 15
--------------------------------------------------------------------------------
U: Up;         D: Down;         TG: Tagged;         UT: Untagged;
MP: Vlan-mapping;               ST: Vlan-stacking;
#: ProtocolTransparent-vlan;    *: Management-vlan;
--------------------------------------------------------------------------------

VID  Type    Ports
--------------------------------------------------------------------------------
1    common  UT:GE0/0/5(U)      GE0/0/6(D)      GE0/0/7(D)      GE0/0/8(D)
                GE0/0/9(D)      GE0/0/10(D)     GE0/0/11(D)     GE0/0/12(D)
                GE0/0/13(D)     GE0/0/14(D)     GE0/0/15(D)     GE0/0/16(D)
                GE0/0/17(D)     GE0/0/18(D)     GE0/0/19(D)     GE0/0/20(D)
                GE0/0/21(D)     GE0/0/22(D)     GE0/0/23(D)     GE0/0/24(D)
                GE0/0/29(D)     GE0/0/30(D)     GE0/0/31(D)     GE0/0/32(D)
                GE0/0/33(D)     GE0/0/34(D)     GE0/0/35(D)     GE0/0/36(D)
                GE0/0/37(D)     GE0/0/38(D)     GE0/0/39(D)     GE0/0/40(D)
                GE0/0/41(D)     GE0/0/42(D)     GE0/0/43(D)     GE0/0/44(D)
                GE2/0/28(U)     GE2/0/30(D)     GE2/0/32(U)     GE2/0/33(D)
...             ...             ...             ...             ...
                GE2/0/34(U)     GE2/0/35(D)     GE2/0/36(D)     GE2/0/37(D)
                GE2/0/38(D)     GE2/0/39(D)     GE2/0/40(D)
             TG:XGE0/0/4(U)
231  common  UT:GE1/0/1(D)      GE1/0/3(D)      GE1/0/5(D)      GE1/0/7(D)
                GE1/0/9(D)      GE1/0/11(D)     GE1/0/13(D)     GE1/0/15(D)
                GE1/0/17(D)     GE1/0/19(D)     GE1/0/21(D)     GE1/0/23(D)
                GE1/0/25(D)     GE1/0/27(D)     GE1/0/29(D)     GE1/0/31(D)
                GE1/0/33(D)     GE1/0/35(D)     GE1/0/37(D)     GE1/0/39(U)
                GE1/0/41(D)     GE1/0/43(D)     GE1/0/45(D)     GE1/0/47(D)
             TG:XGE0/0/4(U)     XGE1/0/3(U)
241  common  UT:GE1/0/2(D)      GE1/0/4(D)      GE1/0/6(D)      GE1/0/8(U)
                GE1/0/10(D)     GE1/0/12(D)     GE1/0/14(D)     GE1/0/16(U)
                GE1/0/18(D)     GE1/0/20(D)     GE1/0/22(U)
             TG:XGE0/0/4(U)
247  common  UT:GE1/0/24(D)     GE1/0/26(D)     GE1/0/28(D)     GE1/0/30(D)
                GE1/0/32(D)     GE1/0/34(D)     GE1/0/36(D)     GE1/0/38(D)
                GE1/0/40(D)     GE1/0/42(D)     GE1/0/46(D)
             TG:XGE0/0/4(U)

VID  Status  Property      MAC-LRN Statistics Description
--------------------------------------------------------------------------------
1    enable  default       enable  disable    VLAN 0001
2    enable  default       enable  disable    REDE_GERENCIA
114  enable  default       enable  disable    REDE_WIRELESS
117  enable  default       enable  disable    REDE_PRINTER
130  enable  default       enable  disable    REDE_WIFIMGMT
204  enable  default       enable  disable    REDE_BARNEY
205  enable  default       enable  disable    REDE_PET
206  enable  default       enable  disable    REDE_IMAGO
210  enable  default       enable  disable    REDE_VRI
221  enable  default       enable  disable    REDE_XLFC
226  enable  default       enable  disable    VLAN 0226
229  enable  default       enable  disable    REDE_XPROF
231  enable  default       enable  disable    REDE_XPQSUP
241  enable  default       enable  enable     VLAN 0241
247  enable  default       enable  disable    VLAN 0247
```

### VLANs de uma porta

```
<APOIO>display port vlan <port_id>
```

Onde:

- `<port_id>` é a porta que você quer.

Sem o `<port_id>`, vai mostrar de todas as portas.

Exemplo:

```
<APOIO>display port vlan GigabitEthernet2/0/20
Port                        Link Type    PVID  Trunk VLAN List
-------------------------------------------------------------------------------
GigabitEthernet2/0/20       trunk        1     1 204
```

Nesse caso está mostrando todas as VLANs da porta `GigabitEthernet2/0/20`.
No caso só está na VLAN 204.

Caso queira mais informação, por exemplo, saber qual VLAN está tagged e qual
não está use o comando:

```
<APOIO>display port vlan active <port_id>
```

Exemplo de porta com uma única VLAN untagged:

```
<APOIO>display port vlan active GigabitEthernet2/0/22
T=TAG U=UNTAG
-------------------------------------------------------------------------------
Port                Link Type    PVID    VLAN List
-------------------------------------------------------------------------------
GE2/0/22            access       229     U: 229
```

Exemplo de porta com uma única VLAN com tag:

```
<APOIO>display port vlan active GigabitEthernet0/0/5
T=TAG U=UNTAG
-------------------------------------------------------------------------------
Port                Link Type    PVID    VLAN List
-------------------------------------------------------------------------------
GE0/0/5             trunk        1       U: 1
                                         T: 114 130
```

Nesse exemplo as VLANs 114 e 130 estão com tag.

## Configuração

### VLANs

Para entrar no modo edição execute o comando:

```
<APOIO>system-view
```

#### Criar VLAN

```
<APOIO>vlan batch <tag da vlan>
```

#### Alterar descrição

```
<APOIO>vlan <tag da vlan>
<APOIO>description <nome da vlan>
```

#### Adicionar VLANs numa porta

```
<APOIO>system-view
Enter system view, return user view with Ctrl+Z.
[APOIO]
<APOIO>interface <ponto>
<APOIO>port link-type access
<APOIO>port default vlan <tag vlan>
```

Onde:

- `<ponto>` se refere a porta do switch que quer adicionar as VLANs.
- `<tag vlan>` se refere ao identificador da VLAN.

Exemplo:

```
<APOIO>interface GigabitEthernet 2/0/20
<APOIO>port link-type access
<APOIO>port default vlan 204
```

Nesse exemplo estamos adicionando somente a VLAN 204 na porta
`GigabitEthernet2/0/20`.

Exemplo completo:

```
<APOIO>system-view
Enter system view, return user view with Ctrl+Z.
[APOIO]interface GigabitEthernet 2/0/20
[APOIO-GigabitEthernet2/0/20]port link-type access
Warning: This command will delete VLANs on this port. Continue?[Y/N]:y
Info: This operation may take a few seconds. Please wait for a moment...done.
[APOIO-GigabitEthernet2/0/20]port default vlan vlan 204
Info: This operation may take a few seconds. Please wait a moment...done.
[APOIO-GigabitEthernet2/0/20]
```

Nesse exemplo estamos adicionando a VLAN 204 na porta `GigabitEthernet2/0/20`.

Para sair faça Ctrl-Z.

É interessante verificar se foi realmente adicionado. Para isso use o
comando para mostrar o estado de uma porta
`display port vlan GigabitEthernet2/0/20 active` que deve ter como resultado
algo semelhante ao abaixo:

```
<APOIO>display port vlan GigabitEthernet2/0/20 active
T=TAG U=UNTAG
-------------------------------------------------------------------------------
Port                Link Type    PVID    VLAN List
-------------------------------------------------------------------------------
GE2/0/20            access       204     U: 204
```

#### Adicionar VLAN em várias portas

```
<APOIO>interface range <interface> to <interface>
<APOIO>port link-type access
<APOIO>port default vlan <tag da vlan>
```

Exemplo:

```
<APOIO>interface range GigabitEthernet0/0/1 to GigabitEthernet0/0/48
<APOIO>port link-type access
<APOIO>port default vlan 204
```

#### Adicionar VLAN numa porta trunk

```
interface XGigabitEthernet0/0/4
 port link-type trunk
 port trunk allow-pass vlan <tag vlan1> <tag vlan2> <tag vlan3> <tag vlan4> <tag vlan5>
```

{{< alert title="Nota" >}}
O comando `port link-type trunk` só é necessário em portas que ainda não
foram configuradas, ou que estava em access. Se a porta já estiver em "trunk",
não é necessário repetir o comando para adicionar as VLANs.
{{< /alert >}}

#### Adicionar VLAN em várias portas trunk

```
interface range XGigabitEthernet0/0/3 to XGigabitEthernet0/0/4
 port link-type trunk
 port trunk allow-pass vlan <tag vlan1> <tag vlan2> <tag vlan3> <tag vlan4> <tag vlan5>
```

#### Adicionar VLAN padrão em porta trunk

```
interface XGigabitEthernet0/0/4
 port link-type trunk
 port trunk pvid vlan 130
 port trunk allow-pass vlan 114 130
```

### Velocidade de portas

#### Configurar autonegociação

```
[prof]system-view
[prof]interface gigabitethernet 0/0/1
[prof-GigabitEthernet0/0/1]negotiation auto
[prof-GigabitEthernet0/0/1]speed auto-negotiation
```

#### Definir velocidade

```
[prof]interface GigabitEthernet1/0/23
[prof-GigabitEthernet1/0/23]undo negotiation auto
[prof-GigabitEthernet1/0/23]auto speed 1000
[prof-GigabitEthernet1/0/23]quit
```

## Salvar configuração

Na [](/docs/machines/base/duvel), ative o TFTP:

```
$ /etc/init.d/tftpd-hpa start
$ touch /tftpboot/arquivo
$ chmod 777 /tftpboot/arquivo
```

No switch, salve a configuração:

```
$ save
$ save nome.zip
$ tftp 10.90.90.55 put nome.zip arquivo
```

Na [](/docs/machines/base/duvel), desative o TFTP:

```
$ /etc/init.d/tftpd-hpa stop
```

Depois, descompacte o arquivo com `unzip` e copie o arquivo de configuração
para a [](/docs/machines/base/urquell).

O local destino é mapas/switches/conf/huawei/
